X2Go Bug report logs - #1056
H264 videos working badly

version graph

Package: x2gobroker-authservice; Maintainer for x2gobroker-authservice is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gobroker-authservice is src:x2gobroker.

Reported by: Walid MOGHRABI <w.moghrabi@servicemagic.eu>

Date: Fri, 8 Jul 2016 13:25:01 UTC

Severity: grave

Tags: patch, pending, stable

Merged with 1057

Found in version 0.0.3.0

Fixed in version 0.0.3.1

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1056; Package x2gobroker-authservice. (Fri, 08 Jul 2016 13:25:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 08 Jul 2016 13:25:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: submit@bugs.x2go.org
Subject: H264 videos working badly
Date: Fri, 8 Jul 2016 15:22:32 +0200 (CEST)
Package: x2gobroker-authservice 
Version: 0.0.3.0 
Severity: grave
Tags: stable,patch

For days I was struggling with x2gobroker-authservice not working when authenticating against PAM.
I eventualy discovered it was the pam class instanciation in /usr/sbin/x2gobroker-authservice that was not working with the following error : 

error: uncaptured python exception, closing channel <__main__.AuthClient connected '' at 0x7f0aa5c11f80> (<type 'exceptions.AttributeError'>:'module' object has no attribute 'authenticate' [/usr/lib/python2.7/asyncore.py|read|83] [/usr/lib/python2.7/asyncore.py|handle_read_event|449] [/usr/sbin/x2gobroker-authservice|handle_read|81])

It seems the pam.py module has probably been refaktored in this Ubuntu making the authservice failing.

Here is a patch for the fix :

-----------------------------------------------------------------------------------------
--- /usr/sbin/x2gobroker-authservice.dist	2016-07-08 15:07:40.387403000 +0200
+++ /usr/sbin/x2gobroker-authservice	2016-07-08 15:07:00.219403000 +0200
@@ -78,7 +78,11 @@
                 self.send('bad\n')
                 self.logger.warning('bad authentication data received')
             else:
-                if pam.authenticate(user, passwd, service):
+                if pam.pam:
+                    opam = pam.pam()
+                else:
+                    opam = pam
+                if opam.authenticate(user, passwd, service):
                     self.send('ok\n')
                     self.logger.info('successful authentication for \'{user}\' with password \'<hidden>\' against PAM service \'{service}\''.format(user=user, service=service))
                 else:
-----------------------------------------------------------------------------------------


Test conditions :
===============
    * Ubuntu Server 16.04 LTS up to date (2016-07-08)
    * python-pampy : 1.8.2
    * x2gobroker-authservice : 0.0.3.0 (from x2go/stable ppa)



Best regards,

Walid Moghrabi
	
---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you


Information stored :
Bug#1056; Package x2gobroker-authservice. (Fri, 08 Jul 2016 14:25:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and filed, but not forwarded.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Fri, 08 Jul 2016 14:25:02 GMT) Full text and rfc822 format available.


Message #10 received at 1056-quiet@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: 1056-quiet@bugs.x2go.org
Date: Fri, 8 Jul 2016 16:23:16 +0200
[Message part 1 (text/plain, inline)]
close -1

Closing as this bug is a mixup of #1055 and #1057 (subject of one and
body of the other).

-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243

[signature.asc (application/pgp-signature, attachment)]

Information stored :
Bug#1056; Package x2gobroker-authservice. (Fri, 08 Jul 2016 14:35:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and filed, but not forwarded.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Fri, 08 Jul 2016 14:35:02 GMT) Full text and rfc822 format available.


Message #15 received at 1056-quiet@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: 1056-quiet@bugs.x2go.org
Date: Fri, 8 Jul 2016 16:28:27 +0200
[Message part 1 (text/plain, inline)]
Control: close -1

*sigh* trying again ...
Am 08.07.2016 um 16:23 schrieb Stefan Baur:
> close -1
> 
> Closing as this bug is a mixup of #1055 and #1057 (subject of one and
> body of the other).
> 


-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243

[signature.asc (application/pgp-signature, attachment)]

Merged 1056 1057 Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Fri, 08 Jul 2016 18:50:01 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1056; Package x2gobroker-authservice. (Sun, 10 Jul 2016 02:35:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 10 Jul 2016 02:35:02 GMT) Full text and rfc822 format available.

Message #22 received at 1056@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: 1056-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1056@bugs.x2go.org
Subject: X2Go issue (in src:x2gobroker) has been marked as pending for release
Date: Sun, 10 Jul 2016 04:30:38 +0200 (CEST)
tag #1056 pending
fixed #1056 0.0.3.1
thanks

Hello,

X2Go issue #1056 (src:x2gobroker) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=fbb5600

The issue will most likely be fixed in src:x2gobroker (0.0.3.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit fbb5600f7858d387e15ce289bcfd33158047c188
Author: Walid Moghrabi <w.moghrabi@servicemagic.eu>
Date:   Sun Jul 10 04:07:20 2016 +0200

    sbin/x2gobroker-authservice: adapt script to correctly use the newer python-pam module, which now exposes functionality in pam.pam with backwards compatibility. Fixes: #1056.

diff --git a/debian/changelog b/debian/changelog
index 91dae8d..466985c 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -17,6 +17,12 @@ x2gobroker (0.0.3.1-0x2go1) UNRELEASED; urgency=low
     - Uploaders: add myself. Also, force a rebuild due to the changed
       versioning.
 
+  [ Walid Moghrabi ]
+  * New upstream version (0.0.3.1):
+    - sbin/x2gobroker-authservice: adapt script to correctly use the newer
+      python-pam module, which now exposes functionality in pam.pam with
+      backwards compatibility. Fixes: #1056.
+
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 19 Jul 2015 21:58:43 +0200
 
 x2gobroker (0.0.3.0-0x2go1) unstable; urgency=low


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sun, 10 Jul 2016 02:35:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 0.0.3.1. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sun, 10 Jul 2016 02:35:02 GMT) Full text and rfc822 format available.

Message sent on to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Bug#1056. (Sun, 10 Jul 2016 02:35:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1056; Package x2gobroker-authservice. (Thu, 01 Dec 2016 21:30:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 01 Dec 2016 21:30:01 GMT) Full text and rfc822 format available.

Message #34 received at 1056@bugs.x2go.org (full text, mbox):

From: X2Go Release Manager <git-admin@x2go.org>
To: 1056-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1056@bugs.x2go.org
Subject: X2Go issue (in src:x2gobroker) has been marked as closed
Date: Thu, 1 Dec 2016 22:24:59 +0100 (CET)
close #1056
thanks

Hello,

we are very hopeful that X2Go issue #1056 reported by you
has been resolved in the new release (0.0.3.1) of the
X2Go source project »src:x2gobroker«.

You can view the complete changelog entry of src:x2gobroker (0.0.3.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2gobroker.

    http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=c6cbbc1e29d858eca271c5475013bcc852fabc8b;hp=5ecedcafe711c6d28a9a8441dbbec3dcb5fa7587

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2gobroker.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2gobroker
Version: 0.0.3.1-0x2go1
Status: RELEASE
Date: Thu, 01 Dec 2016 22:19:47 +0100
Fixes: 1056
Changes: 
 x2gobroker (0.0.3.1-0x2go1) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * debian/python-x2gobroker.preinst:
     + Use proper comment header explaining about preinst script argument
       calls (not postinst).
   * x2gobroker/brokers/base_brokers.py: Remove Perl code in comment that
     confuses the Epydoc tool.
   * API Documentation: Sanitize __doc__ strings to make Epydoc happy. Provide
     Makefile.docupload and provide html API documentation at
     http://code.x2go.org/doc/python-x2gobroker/
 .
   [ Mihai Moldovan ]
   * New upstream version (0.0.3.1):
     - sbin/x2gobroker-authservice: refactor pam.pam section a bit. Always
       initialize opam with pam and only rewrite it with pam.pam if necessary.
     - x2gobroker/authmechs/pam_authmech.py: port pam.pam change to this file
       as well.
   * debian/control:
     - Maintainer change in package: X2Go Developers <x2go-dev@lists.x2go.org>.
     - Uploaders: add myself. Also, force a rebuild due to the changed
       versioning.
   * x2goserver.spec:
     - Add mandatory perl-generators Build-Requires as per
       https://fedoraproject.org/wiki/Changes/Build_Root_Without_Perl
 .
   [ Walid Moghrabi ]
   * New upstream version (0.0.3.1):
     - sbin/x2gobroker-authservice: adapt script to correctly use the newer
       python-pam module, which now exposes functionality in pam.pam with
       backwards compatibility. Fixes: #1056.


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Thu, 01 Dec 2016 21:30:02 GMT) Full text and rfc822 format available.

Notification sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Bug acknowledged by developer. (Thu, 01 Dec 2016 21:30:02 GMT) Full text and rfc822 format available.

Message sent on to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Bug#1056. (Thu, 01 Dec 2016 21:30:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 30 Dec 2016 06:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Jul 21 17:06:03 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.